RecursiveIteratorIterator::rewind
RecursiveIteratorIterator::valid
RecursiveIteratorIterator
PHP Manual

# RecursiveIteratorIterator::setMaxDepth

Set max depth

### Description

public void RecursiveIteratorIterator::setMaxDepth ([ string `$max_depth` = -1 ] )

Set the maximum allowed depth.

Warning

This function is currently not documented; only its argument list is available.

### Parameters

`max_depth`

  The maximum allowed depth. -1 is used for any depth.

### Return Values

No value is returned.

### Errors/Exceptions

Emits an Exception if `max_depth` is less than -1.